Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Slots | Private Member Functions | List of all members
MouseInterface Class Reference

Interface class for receiving mouse events. More...

`#include <OpenFlipper/BasePlugin/MouseInterface.hh>`

Inheritance diagram for MouseInterface:

## Public Member Functions
virtual | ~MouseInterface ()
| Destructor.

## Private Slots
virtual void | slotMouseWheelEvent (QWheelEvent *_event, const std::string &_mode)
| Wheel Event from main application. More...

## Private Member Functions
virtual void | slotMouseEvent (QMouseEvent *_event)
| Mouse Event from main application ( Picking Mode ) More...
virtual void | slotMouseEventLight (QMouseEvent *_event)
| Mouse Event from main application ( Light Mode ) More...

## Detailed Description

Interface class for receiving mouse events.

Detailed description

Definition at line 75 of file MouseInterface.hh.

## Member Function Documentation

virtual void MouseInterface::slotMouseEvent | ( | QMouseEvent * | _event | ) |
| inline private virtual

Mouse Event from main application ( Picking Mode )

This slot is called if a mouse event occurred in the Viewer This slot will only get called in pickingMode. Right button clicks will not be passed to the plugins as this is reserved for the context Menu.

Parameters

  _event | Mouse event

Reimplemented in ComponentsPlugin, HoleFillerPlugin, and TypeQtWidgetPlugin.

Definition at line 99 of file MouseInterface.hh.

virtual void MouseInterface::slotMouseEventLight | ( | QMouseEvent * | _event | ) |
| inline private virtual

Mouse Event from main application ( Light Mode )

This slot is called if a mouse event occurred in the Viewer This slot will only get called in LightMode. Right button clicks will not be passed to the plugins as this is reserved for the context Menu.

Parameters

  _event | Mouse event

Reimplemented in TypeLightPlugin.

Definition at line 110 of file MouseInterface.hh.

virtual void MouseInterface::slotMouseWheelEvent | ( | QWheelEvent * | _event,
|  | const std::string & | _mode
| ) |  |
| inline private virtual slot

Wheel Event from main application.

This slot is called if a wheel event occurred in the Viewer and is extended by the current Mode set in the Viewer. You can add additional Picking Modes to the Viewer by using the picking interface. This slot will only get called in pickingMode.

Parameters

  _event | Mouse event
  _mode | Name of the current Picking Mode.

Reimplemented in MeshObjectSelectionPlugin.

Definition at line 88 of file MouseInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/MouseInterface.hh